#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - system-user-daemon installation
#
# Creation   :  2022-09-07 holbru
# Last update:  $Id: install.sh 97531 2022-11-19 13:26:53Z hbfl $
#
# Copyright (c) 2022-2022 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=system-user-daemon

# ---------------------------------------------------------------------------
# reorga group
# ---------------------------------------------------------------------------
if [ $(/usr/bin/getent group | /usr/bin/gawk -F':' '/^bin:/ {print $3}') = 2 ] 
then 
    /usr/bin/sed -i '/^bin:/d' /etc/group
    /usr/bin/sed -i '/^daemon:/d' /etc/group
    /usr/bin/sed -i -e "/^root:/a\\
daemon:x:2:\\" /etc/group
    /usr/bin/sed -i -e "/^root:/a\\
bin:x:1:daemon\\" /etc/group
fi

# ---------------------------------------------------------------------------
# reorga passwd
# ---------------------------------------------------------------------------
if [ $(/usr/bin/getent passwd | /usr/bin/gawk -F':' '/^bin:/ {print $3}') = 2 ]
then 
    /usr/bin/sed -i '/^bin:/d' /etc/passwd
    /usr/bin/sed -i '/^daemon:/d' /etc/passwd
    /usr/bin/sed -i -e "/^root:/a\\
daemon:x:2:2:Daemon:/sbin:/sbin/nologin\\" /etc/passwd
    /usr/bin/sed -i -e "/^root:/a\\
bin:x:1:1:bin:/bin:/sbin/nologin\\" /etc/passwd
fi

# ---------------------------------------------------------------------------
# activate
# ---------------------------------------------------------------------------
/usr/sbin/sysusers2shadow system-user-daemon.conf <<"EOF" || [ -f /.buildenv ]
g daemon 2
u daemon 2 Daemon /sbin
EOF

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
